Skip to main content
GET
/
v1
/
issuers
/
{id}
Get Issuer
curl --request GET \
  --url https://api.truthlocks.com/v1/issuers/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "tenant_id": "tenant-uuid",
  "name": "Acme University",
  "domain": "acme.edu",
  "status": "APPROVED",
  "trust_level": "VERIFIED",
  "keys": [
    {
      "kid": "ed-key-1",
      "algorithm": "Ed25519",
      "status": "ACTIVE",
      "created_at": "2026-01-10T00:00:00Z"
    }
  ],
  "created_at": "2026-01-01T12:00:00Z",
  "updated_at": "2026-01-13T12:00:00Z"
}
Retrieves details of a specific issuer by their unique ID.

Parameters

issuer_id
string
required
The UUID of the issuer to retrieve

Responses

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "tenant_id": "tenant-uuid",
  "name": "Acme University",
  "domain": "acme.edu",
  "status": "APPROVED",
  "trust_level": "VERIFIED",
  "keys": [
    {
      "kid": "ed-key-1",
      "algorithm": "Ed25519",
      "status": "ACTIVE",
      "created_at": "2026-01-10T00:00:00Z"
    }
  ],
  "created_at": "2026-01-01T12:00:00Z",
  "updated_at": "2026-01-13T12:00:00Z"
}

Authorizations

X-API-Key
string
header
required

API key for machine-to-machine authentication

Path Parameters

id
string<uuid>
required

Response

Issuer details

id
string<uuid>
tenant_id
string<uuid>
name
string
domain
string
status
enum<string>
Available options:
PENDING,
APPROVED,
SUSPENDED,
REVOKED
trust_level
enum<string>
Available options:
BASIC,
VERIFIED,
ENTERPRISE
created_at
string<date-time>
updated_at
string<date-time>